// VCSampleDlg.h : header file
//

#if !defined(AFX_VCSAMPLEDLG_H__F931A348_9630_4933_B5AD_2676736D56D4__INCLUDED_)
#define AFX_VCSAMPLEDLG_H__F931A348_9630_4933_B5AD_2676736D56D4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVCSampleDlg dialog

class CConaitoObject;

class CVCSampleDlg : public CDialog
{
// Construction
public:
	CVCSampleDlg(CWnd* pParent = NULL);	// standard constructor

	CConaitoObject* m_pConaitoServer;

	void ErrorMessage();

// Dialog Data
	//{{AFX_DATA(CVCSampleDlg)
	enum { IDD = IDD_VCSAMPLE_DIALOG };
	CListBox	m_sListRegisteredClients;
	CListBox	m_sReceiveClientText;
	CListBox	m_ListMonitorText;
	UINT	m_nListenPort;
	CString	m_sSendClientText;
	CString	m_sClientUniqueId;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVCSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVCSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonInitialize();
	afx_msg void OnButtonUninitialize();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonSendMsg();
	afx_msg void OnButtonSendMsgToAll();
	afx_msg void OnButtonGetUniqueidslist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCSAMPLEDLG_H__F931A348_9630_4933_B5AD_2676736D56D4__INCLUDED_)
